# -*- encoding : utf-8 -*-
class CreateImageContents < ActiveRecord::Migration
  def self.up
    create_table :image_contents do |t|
      t.references :image_file
      t.integer :width
      t.integer :height
      t.string :alignement
      t.boolean :expandable
      t.string :style
      t.string :alt
      t.integer :cible_id
      t.string :cible_type
      t.boolean :with_cible
      t.boolean :popup

      t.timestamps
    end

  end

  def self.down
    drop_table :image_contents
  end
end
